summaryrefslogtreecommitdiff
path: root/dev-python/django-cache-url
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-15 18:25:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-03-15 18:25:52 +0000
commitbe58752269c92e59529b7ac1a99f2cadda464a69 (patch)
tree5d235c43d5d400d4846aa383a5220dd557666425 /dev-python/django-cache-url
parent4b76e415164b427b26a29d99e46c771e919d5dce (diff)
downloadbaldeagleos-repo-be58752269c92e59529b7ac1a99f2cadda464a69.tar.gz
baldeagleos-repo-be58752269c92e59529b7ac1a99f2cadda464a69.tar.xz
baldeagleos-repo-be58752269c92e59529b7ac1a99f2cadda464a69.zip
Adding metadata
Diffstat (limited to 'dev-python/django-cache-url')
-rw-r--r--dev-python/django-cache-url/Manifest1
-rw-r--r--dev-python/django-cache-url/django-cache-url-3.4.0.ebuild33
2 files changed, 34 insertions, 0 deletions
diff --git a/dev-python/django-cache-url/Manifest b/dev-python/django-cache-url/Manifest
index 1eb2051c11f0..06cc6ba9c646 100644
--- a/dev-python/django-cache-url/Manifest
+++ b/dev-python/django-cache-url/Manifest
@@ -1 +1,2 @@
DIST django-cache-url-3.3.0.tar.gz 8319 BLAKE2B 28e627270baf5ea030bdcf098968644fd59551b1e974c7e08b396313c13bc48d4417c1e7b7c9942a1773b05d53c1b918177ef649ab088efcfa9ecf375b17ecac SHA512 fc01f3ef1e490146b911cff6f905c5257c8adbca57734a442d0d8e715c77d398fe07d3e47f043627eabc87f6f72153c2504873bf81d248c9da9183d6fe005069
+DIST django-cache-url-3.4.0.tar.gz 8455 BLAKE2B 91780a053a90decbffd3d9a6fc0b9043dee74b6b6b265b9ef4b035c5679a4955582b3a3b831ff9670fceb89d5729b9ac607b6f318543d437eb35e7d1a1c1c638 SHA512 17fb8aff3b65f4860b2d2c7c765341f17c13a0f78453f627f62f40894d3e83281ecbde1d1ddcbeff7de8fe55189ce9504d03281353d227f9e7b1678af4c423ec
diff --git a/dev-python/django-cache-url/django-cache-url-3.4.0.ebuild b/dev-python/django-cache-url/django-cache-url-3.4.0.ebuild
new file mode 100644
index 000000000000..001b815fbef8
--- /dev/null
+++ b/dev-python/django-cache-url/django-cache-url-3.4.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Use Cache URLs in your Django application"
+HOMEPAGE="https://github.com/epicserve/django-cache-url"
+SRC_URI="
+ https://github.com/epicserve/django-cache-url/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/django[${PYTHON_USEDEP}]
+"
+
+DOCS=( AUTHORS.rst CHANGELOG.rst README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e '/--cov/d' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}